%define _x11dir		/usr/X11R6
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%{_x11libdir}/Server
%define tarname		linuxwacom-0.7.8-3

Name:		linuxwacom
Version:	0.7.8.3
Release:	6.el4
Summary:	Wacom Drivers from Linux Wacom Project

Group:		User Interface/X Hardware Support
License:	GPL/X11
URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{tarname}.tar.bz2
Source1:	10-wacom.rules
Source2:        wacomcpl.desktop
Source3:        wacomcpl-icon.png
Source4:	wacomcpl.sh
Patch0:		wacomcfg-keep_abi.patch
Patch1:		remove_unsupported_option.patch
Patch2:		fix_man_installation.patch
Patch3:		enlarge_calibration_area.patch
Patch4:		linuxwacom-use_dot_wacomcplrc_instead_of_xinitrc.patch 
Patch5:		wacomcpl-add_rawsample_and_supress_controls.patch
Patch6:		linuxwacom-add_support_for_cintiq20wsx.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	xorg-x11-devel, xorg-x11-sdk, ncurses-devel, tk-devel, tcl-devel
Requires:	xorg-x11, udev >= 030-21, tk, tcl
ExclusiveArch:  %{ix86} x86_64 alpha ia64 ppc sparc sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

%package devel
Summary: linuxwacom developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling applications for manipulating settings for Wacom tablets.

%prep
%setup -q -n %{tarname}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

XSERVER64=
if [ "$(getconf LONG_BIT)" == "64" ]
then
  XSERVER64=--enable-xserver64
fi

export RPM_LIBDIR=%{_lib}
%configure --without-gtk --with-xorg-sdk=%{_x11sdkdir} \
	--with-xlib=%{_x11libdir} $XSERVER64

export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall x86moduledir=$RPM_BUILD_ROOT%{_x11libdir}/modules/input \
	tcllibdir=$RPM_BUILD_ROOT%{_libdir}/TkXInput \
	cpldir=$RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-wacom.rules
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
rm $RPM_BUILD_ROOT/%{_libdir}/TkXInput/*.?a
mkdir -p $RPM_BUILD_ROOT%{_datadir}/linuxwacom
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/linuxwacom/wacomcpl.desktop
sed -i -e "s,DATADIR,%{_datadir}," $RPM_BUILD_ROOT%{_datadir}/linuxwacom/wacomcpl.desktop
desktop-file-install --vendor system                    \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --mode 0644                                     \
        $RPM_BUILD_ROOT%{_datadir}/linuxwacom/wacomcpl.desktop
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/linuxwacom/wacomcpl-icon.png
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/ 
install -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/wacomcpl.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%attr(0444,root,root) %{_x11libdir}/modules/input/wacom_drv.*o
%{_bindir}/wacdump
%{_bindir}/xidump
%{_bindir}/xsetwacom
%{_libdir}/libwacomcfg*so.*
%{_mandir}/man4/*
%{_sysconfdir}/udev/rules.d/10-wacom.rules
%{_sysconfdir}/X11/xinit/xinitrc.d/wacomcpl.sh
%{_bindir}/wacomcpl
%{_bindir}/wacomcpl-exec
%{_libdir}/TkXInput/libwacom*
%{_libdir}/TkXInput/pkgIndex.tcl
%{_datadir}/applications/system-wacomcpl.desktop
%{_datadir}/linuxwacom/wacomcpl.desktop
%{_datadir}/linuxwacom/wacomcpl-icon.png

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/wacomcfg/
%{_includedir}/wacomcfg/wacomcfg.h
%{_libdir}/libwacomcfg*.a
%{_libdir}/libwacomcfg*.so

%changelog
* Mon Apr 07 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-6.el4
- fix reporting of the 8th and 9th buttons on Cintiq 20wsx

* Tue Apr 01 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-5.el4
- enabling support to Cintiq 20wsx

* Tue Mar 18 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-4.el4
- adding new entries on udev file

* Tue Mar 18 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-3.el4
- added RawSample and Suppress controls on wacomcpl

* Mon Feb 25 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-2.el4
- Added script to execute the xsetwacom commands on all X sessions

* Tue Feb 12 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-1.el4
- Rebased to 0.7.8-3
- Enabling configuration utilities

* Thu Apr 05 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.4_3-EL4.5
- Rebuild
- Related: BZ#235273

* Wed Apr 04 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.4_3-EL4.4
- Updating sources file
- Related: BZ#180545

* Thu Mar 29 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.4_3-EL4.3
- Added unowned directory to the list (BZ#233877)
- Rebuild for U5
- Related: BZ#180545

* Thu Jan 11 2007 Aristeu Rozanski <arozansk@redhat.com> 0:0.7.4_3-EL4.2
- Improving 10-wacom.rules to create symbolic links named after the tablet
  model and unique names based in model and USB port.

* Tue Oct 10 2006 Aristeu Rozanski <arozansk@redhat.com> 0:0.7.4_3-EL4.1
- Update to 0.7.4-3

* Wed May 10 2006 Kristian Høgsberg <krh@redhat.com> 0:0.7.4_1-EL4.1
- Update to 0.7.4-1.
- Use 64 bit check from devel.

* Wed Nov 30 2005 Kristian Høgsberg <krh@redhat.com> 0:0.7.0-EL4.1
- Update to 0.7.0, drop patches to unbreak build system.

* Fri Jun 24 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-EL4.2
- Update 10-wacom.rules to match against idVendor instead of
  manufacturer string and also check bus type.

* Thu Jun 23 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-EL4.1
- Change release to EL4.1

* Thu Jun 23 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-1
- Update to 0.6.6 and sync up with changes from RHEL-3 to fix more
  64-bit issues.

* Wed Sep 29 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-6
- Run /sbin/ldconfig in %post and %postun (#134070).

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-5
- Pass --without-gtk and others to get rid of bogus link dependencies.

* Tue Sep 21 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-2
- Add BuildRequires for ncurses-devel, needed by wacdump and xidump tools.

* Mon Sep 13 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add udev rule to create /dev/input/wacom

* Wed Sep  8 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Invoke libtoolize to fix .so problem on x86_64
- Clean up spec file a bit, run autoconf before build to really fix
  lib64 issues on x86_64.
- Corrected typo and XFree86 mention.

* Tue Sep  7 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add hack to prevent configure from hardcoding 'lib'.

* Wed Sep  1 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Explicitly disable building tcl/tk panel
- Add patch to remove hard-code i386 flags from Makefile.am
- Use %{_x11libdir} so it'll work on x86_64
- Removed .la files, they are demon spawn
- Don't try to build on arches that don't have xorg-x11

* Fri Aug 27 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add patch to make driver compile against xorg-x11-sdk
- Add patch to work around totally obsolete glibc-kernheaders

* Thu Aug 26 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Created package, copying bits from synaptics spec file.
